<?php
    $value=$_GET["value"];
 
    Header("Content-Type: image/png");
    $im_height = 14;
    $im_width  = 300;
    $im = ImageCreate($im_width,$im_height);
 
    $color = ImageColorAllocate($im, 255, 0, 0);
    $black = ImageColorAllocate($im, 0, 0, 0);
    $white = ImageColorAllocate($im, 225, 225, 225);
    
    imagefilledrectangle ($im, 0, 0, $im_width, $im_height, $white);
    imagefilledrectangle ($im, 0, 0, ($im_width/100)*$value, $im_height, $color);
    
 
    ImageString($im, 3,  10, 0, ($value/4)." /oo", $black);
    imagerectangle ($im, 0, 0, $im_width-1, $im_height-1, $black);
	
    ImagePNG($im);
    ImageDestroy($im);
 
?>